# Uses of Interface
org.eclipse.ecf.osgi.services.remoteserviceadmin.IServiceInfoFactory

Packages that use IServiceInfoFactory
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin

## Uses of IServiceInfoFactory in org.eclipse.ecf.osgi.services.remoteserviceadmin

Classes in org.eclipse.ecf.osgi.services.remoteserviceadmin that implement IServiceInfoFactory
Modifier and Type
Class
Description
`class`
`ServiceInfoFactory`
Default implementation of `IServiceInfoFactory`.
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IServiceInfoFactory
Modifier and Type
Method
Description
`IServiceInfoFactory`
EndpointDescriptionLocator.`getServiceInfoFactory()`